[Dell XPS 15 9530] Wakes from sleep after exactly 24 hours + 3-5 seconds

Bug #1318477 reported by Dan Poler on 2014-05-12
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Dell Sputnik
Undecided
Unassigned
linux (Ubuntu)
Low
Unassigned

Bug Description

Symptoms: The system will wake itself from sleep after very nearly exactly 24 hours, + / - 10 seconds or so. /var/log/pm-suspend.log will show this:
Sat May 10 22:08:49 MDT 2014: performing suspend
Sun May 11 22:08:54 MDT 2014: Awake.

In this case the system has resumed after 24 hours and 5 seconds with no user request to do so. Steps to reproduce: Suspend machine by closing lid. The system can be plugged in to charge while it is suspended, and then subsequently unplugged, but the suspend occurs on battery power, and when the resume occurs the system is also not plugged in. I have not tested other permutations. No other action is necessary. The system will randomly resume 24 hours + 3-5 seconds later.

WORKAROUND: Disable in BIOS Rapid Start, Smart Connect, and TPM.

---
ApportVersion: 2.14.1-0ubuntu3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: dpoler 2444 F.... pulseaudio
 /dev/snd/pcmC1D0p: dpoler 2444 F...m pulseaudio
 /dev/snd/controlC0: dpoler 2444 F.... pulseaudio
CurrentDesktop: Unity
CurrentDmesg:
 Error: command ['sh', '-c', 'dmesg | comm -13 --nocheck-order /var/log/dmesg -'] failed with exit code 1: comm: /var/log/dmesg: Permission denied
 dmesg: write failed: Broken pipe
DistroRelease: Ubuntu 14.04
EcryptfsInUse: Yes
InstallationDate: Installed on 2014-05-06 (6 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
MachineType: Dell Inc. XPS 15 9530
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-24-generic.efi.signed root=UUID=02812295-4462-4c5a-9e17-32d49164caf2 ro acpi=force quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.13.0-24.47-generic 3.13.9
Tags: trusty
Uname: Linux 3.13.0-24-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: bumblebee libvirtd sudo
WifiSyslog:

_MarkForUpload: True
dmi.bios.date: 09/17/2013
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A00
dmi.board.name: XPS 15 9530
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: Not Specified
dmi.modalias: dmi:bvnDellInc.:bvrA00:bd09/17/2013:svnDellInc.:pnXPS159530:pvrA00:rvnDellInc.:rnXPS159530:rvrA00:cvnDellInc.:ct8:cvrNotSpecified:
dmi.product.name: XPS 15 9530
dmi.product.version: A00
dmi.sys.vendor: Dell Inc.

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1318477

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected trusty
description: updated
Dan Poler (l-dan) wrote : CRDA.txt

apport information

apport information

apport information

Dan Poler (l-dan) wrote : Lspci.txt

apport information

Dan Poler (l-dan) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

apport information

Dan Poler (l-dan) wrote : RfKill.txt

apport information

Dan Poler (l-dan) wrote : UdevDb.txt

apport information

apport information

description: updated

apport information

apport information

Dan Poler (l-dan) wrote : CRDA.txt

apport information

apport information

apport information

Dan Poler (l-dan) wrote : Lspci.txt

apport information

Dan Poler (l-dan) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

Dan Poler (l-dan) wrote : RfKill.txt

apport information

Dan Poler (l-dan) wrote : UdevDb.txt

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-key
Changed in linux (Ubuntu):
importance: Undecided → High

Has this system ever had any prior Ubuntu releases installed on it, or is Trusty the first?

Can you also see if this issue happens while the system is connected to AC power for 24 hours?

There are a couple of initial triaging steps we can perform. One would be to test the latest mainline kernel to see if this bug is already fixed upstream. If it is not, we should also find out if this is a regression. If it is a regression, we can bisect to find the commit that introduced this.

So in addition to testing this bug with AC power, can you also test the latest mainline kernel, which can be downloaded from:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.15-rc5-utopic/

Just let me know if you have any issues or questions installing that kernel.

Joseph Salisbury (jsalisbury) wrote :

Some additional requests. Can you review your BIOS settings to see if there is an automatic wakeup set there?

Also, is the system waking up 24 hours from the time it is suspended, or does it wakeup at the same time of day? Just trying to see if an external USB device is waking it at a specific time.

One last thing, the Firmware Test Suite can dump some CMOS data to see if wakeup is set. If possible, can you install fwts and run the following:

sudo fwts cmosdump

Then attach the output.

Download full text (4.8 KiB)

I will test but it will be several days before I am able to do so - I'm at
ODS and the laptop is my daily driver.

It has previously had Saucy installed.

On Tuesday, May 13, 2014, Joseph Salisbury <email address hidden>
wrote:

> Has this system ever had any prior Ubuntu releases installed on it, or
> is Trusty the first?
>
> Can you also see if this issue happens while the system is connected to
> AC power for 24 hours?
>
> There are a couple of initial triaging steps we can perform. One would
> be to test the latest mainline kernel to see if this bug is already
> fixed upstream. If it is not, we should also find out if this is a
> regression. If it is a regression, we can bisect to find the commit
> that introduced this.
>
> So in addition to testing this bug with AC power, can you also test the
> latest mainline kernel, which can be downloaded from:
> http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.15-rc5-utopic/
>
> Just let me know if you have any issues or questions installing that
> kernel.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1318477
>
> Title:
> XPS 15 9530 wakes from sleep after exactly 24 hours + 3-5 seconds
>
> Status in Dell Sputnik:
> New
> Status in “linux” package in Ubuntu:
> Confirmed
>
> Bug description:
> This "feels" related to https://bugs.launchpad.net/dell-
> sputnik/+bug/1161962 but there are some differences making me think
> that a new bug is warranted - the aforementioned link relates to Saucy
> on an XPS 13; my instance is Trusty on an XPS 15. The aforementioned
> link indicates a wait of about 40 minutes to resume; this one occurs
> after 24 hours + 3-5 seconds.
>
> System is an XPS 15 9530, 16 GB RAM, 512 GB SSD. Trusty, fresh install
> from scratch (not an upgrade over Saucy).
>
> Symptoms: The system will wake itself from sleep after very nearly
> exactly 24 hours, + / - 10 seconds or so. /var/log/pm-suspend.log will
> show this:
>
> [...]
> Sat May 10 22:08:49 MDT 2014: performing suspend
> Sun May 11 22:08:54 MDT 2014: Awake.
> [..]
>
> In this case the system has resumed after 24 hours and 5 seconds with
> no user request to do so.
>
> Steps to reproduce: Suspend machine by closing lid. The system can be
> plugged in to charge while it is suspended, and then subsequently
> unplugged, but the suspend occurs on battery power, and when the
> resume occurs the system is also not plugged in. I have not tested
> other permutations. No other action is necessary. The system will
> randomly resume 24 hours + 3-5 seconds later.
>
> Observed behavior: As noted above
> Desired behavior: The system does not resume until the lid is opened.
>
> Other notes: I have observed this occurring with the laptop in a sleeve
> while on an airplane, which is concerning.
> ---
> ApportVersion: 2.14.1-0ubuntu3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: dpoler 2444 F.... pulseaudio
> /dev/snd/pcmC1D0p: dpoler 2444 F...m pulseaudio
> /dev/snd/controlC0: dpoler 2444 F.... pulseaudio
> C...

Read more...

tags: added: bios-outdated-a04
description: updated
summary: - XPS 15 9530 wakes from sleep after exactly 24 hours + 3-5 seconds
+ [Dell XPS 15 9530] Wakes from sleep after exactly 24 hours + 3-5 seconds
tags: added: needs-upstream-testing regression-potential
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Dan Poler (l-dan) wrote :

Will provide the additional requested information as soon as I am able but I can report that the behavior described occurs exactly the same whether on battery or on AC power.

Dan Poler (l-dan) wrote :
Dan Poler (l-dan) wrote :

Q: Has this system ever had any prior Ubuntu releases installed on it, or is Trusty the first?
A: This system has had Saucy installed on it but the installation to Trusty was fresh (drives wiped). The behavior described did not occur under Saucy

Q: Can you also see if this issue happens while the system is connected to AC power for 24 hours?
A: I have tested this with the system connected to AC and it does occur.

Q: There are a couple of initial triaging steps we can perform. One would be to test the latest mainline kernel to see if this bug is already fixed upstream. If it is not, we should also find out if this is a regression. If it is a regression, we can bisect to find the commit that introduced this.

So in addition to testing this bug with AC power, can you also test the latest mainline kernel, which can be downloaded from:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.15-rc5-utopic/

Just let me know if you have any issues or questions installing that kernel.

A: Haven't done this but will over the weekend. I see the note regarding the outdated bios and will also test that (upstream kernel first, see if it recurs; upstream and stock kernel using new bios as well).

Q: Can you review your BIOS settings to see if there is an automatic wakeup set there?

A: There is not.

Q: Also, is the system waking up 24 hours from the time it is suspended, or does it wakeup at the same time of day? Just trying to see if an external USB device is waking it at a specific time.

A: The system will wake up 24 hours from the time suspended regardless of time of day.

Q: One last thing, the Firmware Test Suite can dump some CMOS data to see if wakeup is set. If possible, can you install fwts and run the following:

sudo fwts cmosdump

Then attach the output.

A: Done and attached

Dan Poler (l-dan) wrote :

Using upstream kernel, a random resume did occur BUT not after 24 hours - after significantly less time (19h 30m).
The only thing interesting about the time at which it resumed is it happened to coincide with aGoogle Calendar reminder firing off in Chrome, which was open on the suspended machine. Not sure if coincidental or not.

I will update the BIOS today and first try with stock Ubuntu kernel. Marking not-incomplete for now since there's a bunch more information in here as requested.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Kent Baxley (kentb) wrote :

Can't reproduce this on an XPS 15 here in the Dell lab.

This one has:

Intel Graphics
Qualcomm Wifi / bluetooth (I think Dell calls this the DW1420 or something like that)
Quad-core i7
8GB RAM
Seagate 500GB Hybrid drive

I put it to sleep at 14:30 yesterday by closing the lid. At 15:30 today I checked on the system and looked to see if it maybe woke itself up along the way. From the log output in pm-suspend.log I saw no evidence of this in the last 24 hours. The only awake event I got was when I opened the lid up today.

There is a USB wake setting in the BIOS of my machine that is disabled, but that's the only wake-related setting I can find. Please let me know if there's anything else you need on this. Thanks.

Dan Poler (l-dan) wrote :

What BIOS version is in that? Is it an XPS 15 9530?

Dan Poler (l-dan) wrote :

Confirmed the issue occurs with updated bios A04 and Ubuntu kernel. re-testing with upstream kernel.
My config is a bit different than the one Kent describes, e.g. NVIDIA/Intel dual-mode graphics, 512GB SSD, 16GB RAM, etc. USB wake is disabled in the BIOS (has been all along)

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Dan Poler (l-dan) wrote :

Per the comment immediately above yours, the resume after 24 hours occurs exactly the same on BIOS A04 as it does on A01.
Since the problem did not occur on Saucy but does on Trusty, it may be a regression regardless of the BIOS version, hence wanting to test completely and thoroughly on A01 before upgrading.

Your requested information:

dap-xps15:~$ sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
[sudo] password for dpoler:
A04
03/28/2014

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Dan Poler, the next step is to fully commit bisect from Saucy to Trusty, in order to identify the offending commit. Could you please do this following https://wiki.ubuntu.com/Kernel/KernelBisection ?

tags: added: latest-bios-a04
removed: bios-outdated-a04
tags: added: regression-release
removed: regression-potential
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Joseph Salisbury (jsalisbury) wrote :

Per comment #15, does the system resume by itself repeatably, or was that a one time event? If we find this is fixed in the mainline kernel, we can perform a reverse bisect to identify the fix and backport it into Trusty.

If the bug does still exist in the mainline kernel, I can assist you with performing the bisect and identify the commit that caused this regression.

Dan Poler (l-dan) wrote :

The system resumes by itself repeatably every 24 hours using an Ubuntu kernel.
When tested with a mainline kernel, it resumed after roughly 19h30m. So not 24 hours, but it did still resume. I have not tested more than once with the mainline kernel to see if it resumes consistently after 19h30m or if the time varies.
The challenge with performing a bisect is that experience has shown that I have to wait 24h to see if the problem occurs again. It will take a very, very long time to troubleshoot and the system is in daily use.

Joseph Salisbury (jsalisbury) wrote :

I agree on the bisect. The system would have to sit suspended all the time. Another good test would be to see if the latest upstream 3.13 kernel also exhibits this bug. It can be downloaded from:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.13.11.2-trusty/

Dan Poler (l-dan) wrote :

Joseph as I commented above I have reproduced the behavior in the mainline kernel albeit after 19h30m not 24h.
Per conversation with Kent and https://bugs.launchpad.net/dell-sputnik/+bug/1161962 I have disabled TPM and Smart Connect (Rapid Start was already disabled). Will report findings in 24 hours.

Joseph Salisbury (jsalisbury) wrote :

Yes, you tested the mainline kernel, which is version 3.15. I was suggesting a test of the latest upstream 3.13 kernel, which is what Trusty is based off of.

I look forward to hearing if disabling TPM and Smart Connect resolves the issue.

I've got the same problem with the same model of the new XPS It got a fresh beta of Trusty right after wiping Windows from it.

If I can help triaging, let me know, I've subscribed to this ticket.

aquatix, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Dan Poler (l-dan) wrote :

Issue resolved. The magic seems to be:

Disable Rapid Start
Disable Smart Connect
Disable TPM

Rapid Start was already disabled on my machine so it's one of Smart Connect or TPM that did it. With all three of those disabled, the system does not resume after 24 hours.

I'd still argue this is a bug, though, as all of these should function under Ubuntu, no?

Could you do two different tests?

1) Re-enable only Smart Connect. Does the issue persist?

2) With Smart Connect enabled, can you check if the intel-smartconnect module is loaded? In your apport report, it looks like it gets loaded... The kernel should output "Disabling Intel Smart Connect" if the module is working correctly.

Also, are you dual-booting or do you just have Ubuntu installed?

description: updated
Changed in linux (Ubuntu):
importance: High → Low
Dan Poler (l-dan) wrote :

@jared-dominguez

1- Smart Connect enabled. Machine will be suspended as soon as I finish typing this message so I will have to let you know in 24 hrs. :)

2-

dap-xps15:~# lsmod|grep smartconnect
intel_smartconnect 12637 0

I don't see a message anywhere indicating that Smart Connect gets disabled. Checked dmesg, syslog, boot.log, etc.

Dan Poler (l-dan) wrote :

Per #51... The offender appears to be Smart Connect. Smart Connect Enabled, TPM disabled, Rapid Start disabled. System resumed after 24 hours, 5 seconds:

Thu May 22 19:46:27 MDT 2014: performing suspend
Fri May 23 19:46:33 MDT 2014: Awake.

Happy to test anything else or investigate the lack of the "Disabling Intel Smart Connect" message in #50 if it'll help.

Dan Poler (l-dan) wrote :

Oops - forgot to mention - Ubuntu is the only OS installed.

Dan Poler, could you please test the latest upstream kernel available (3.15-rc6) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-3.15-rc6

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: removed: kernel-key

Hi,

I'm also affected by this issue. The system wakes itself randomly in my XPS 9530 laptop. I've disabled in the BIOS Smart Connect to see if this happens again.

I'm running 14.04 with latests updates.

Daniel Lombraña González, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
https://wiki.ubuntu.com/Kernel/Policies/DuplicateBugs
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers